[openssl] master update
tomas at openssl.org
tomas at openssl.org
Fri Mar 5 13:28:53 UTC 2021
The branch master has been updated
via a7a041c2301fcb7fc2080ddd22a6076060bbaa69 (commit)
via 1ddea35bd418b89c2f8403b41c054ad2f454382b (commit)
via ec69d5c9a8b7c0edfbde56b65023ea5088547370 (commit)
via b414c8118d954617d0408f9907ad1bfe162ce6e9 (commit)
via 996d2693e26d98456a2ec4fb1a5dd432ff026225 (commit)
from c3a85d3d170a0bffd7b009edb544f0a4a182a3b7 (commit)
- Log -----------------------------------------------------------------
commit a7a041c2301fcb7fc2080ddd22a6076060bbaa69
Author: Tomas Mraz <tomas at openssl.org>
Date: Thu Mar 4 13:37:34 2021 +0100
CI external tests: separate each external test into its own phase
Reviewed-by: Richard Levitte <levitte at openssl.org>
Reviewed-by: Dmitry Belyavskiy <beldmit at gmail.com>
(Merged from https://github.com/openssl/openssl/pull/14416)
commit 1ddea35bd418b89c2f8403b41c054ad2f454382b
Author: Tomas Mraz <tomas at openssl.org>
Date: Thu Mar 4 12:35:16 2021 +0100
CI external test: for now run only the krb5 and gost_engine tests
The boringssl (https://github.com/openssl/openssl/issues/14424)
and pyca-cryptography (https://github.com/openssl/openssl/issues/14425)
tests are currently broken.
Reviewed-by: Richard Levitte <levitte at openssl.org>
Reviewed-by: Dmitry Belyavskiy <beldmit at gmail.com>
(Merged from https://github.com/openssl/openssl/pull/14416)
commit ec69d5c9a8b7c0edfbde56b65023ea5088547370
Author: Tomas Mraz <tomas at openssl.org>
Date: Thu Mar 4 12:33:33 2021 +0100
gost_engine test: further cleanups and fixes
Allow absolute paths for $SRCTOP and $BLDTOP.
Do not build the gost_engine in tree.
Reviewed-by: Richard Levitte <levitte at openssl.org>
Reviewed-by: Dmitry Belyavskiy <beldmit at gmail.com>
(Merged from https://github.com/openssl/openssl/pull/14416)
commit b414c8118d954617d0408f9907ad1bfe162ce6e9
Author: Tomas Mraz <tomas at openssl.org>
Date: Wed Mar 3 18:46:34 2021 +0100
gost_engine test: Run also perl and tcl tests
Reviewed-by: Richard Levitte <levitte at openssl.org>
Reviewed-by: Dmitry Belyavskiy <beldmit at gmail.com>
(Merged from https://github.com/openssl/openssl/pull/14416)
commit 996d2693e26d98456a2ec4fb1a5dd432ff026225
Author: Tomas Mraz <tomas at openssl.org>
Date: Wed Mar 3 18:26:22 2021 +0100
CI: add job with external tests
Update gost-engine submodule.
Update pyca-cryptography submodule.
Fix condition for skipping krb5 test.
Reviewed-by: Richard Levitte <levitte at openssl.org>
Reviewed-by: Dmitry Belyavskiy <beldmit at gmail.com>
(Merged from https://github.com/openssl/openssl/pull/14416)
-----------------------------------------------------------------------
Summary of changes:
.github/workflows/ci.yml | 27 ++++++++++++++
gost-engine | 2 +-
pyca-cryptography | 2 +-
test/ossl_shim/include/openssl/base.h | 3 ++
.../gost_engine.sh | 42 +++++++++++++---------
test/recipes/95-test_external_krb5.t | 2 +-
6 files changed, 59 insertions(+), 19 deletions(-)
diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 67ec2541b3..fbe61efdbc 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -166,3 +166,30 @@ jobs:
- name: make install
run: make install
working-directory: ./build
+
+ external-tests:
+ runs-on: ubuntu-latest
+ steps:
+ - uses: actions/checkout at v2
+ with:
+ submodules: recursive
+ - name: package installs
+ run: |
+ sudo apt-get update
+ sudo apt-get -yq install bison dejagnu gettext keyutils ldap-utils libldap2-dev libkeyutils-dev python3 python3-paste python3-pyrad slapd tcl-dev tcl-thread tcsh python3-virtualenv virtualenv
+ - name: install cpanm and Test2::V0 for gost_engine testing
+ uses: perl-actions/install-with-cpanm at v1
+ with:
+ install: Test2::V0
+ - name: config
+ run: ./config --strict-warnings --debug no-afalgeng enable-rc5 enable-md2 enable-ssl3 enable-ssl3-method enable-weak-ssl-ciphers enable-zlib enable-ec_nistp_64_gcc_128 enable-external-tests && perl configdata.pm --dump
+ - name: make
+ run: make -s -j4
+ - name: test external gost-engine
+ run: make test TESTS="test_external_gost_engine"
+ - name: test external krb5
+ run: make test TESTS="test_external_krb5"
+# - name: test external boringssl
+# run: BORING_RUNNER_DIR=$(pwd)/boringssl/ssl/test/runner make test TESTS="test_external_boringssl"
+# - name: test external pyca
+# run: make test TESTS="test_external_pyca"
diff --git a/gost-engine b/gost-engine
index b008f2a0ff..28a0a19354 160000
--- a/gost-engine
+++ b/gost-engine
@@ -1 +1 @@
-Subproject commit b008f2a0ffa1797943c3d08c3b3eee31229a56d3
+Subproject commit 28a0a193549a9b778a14fade0219b9daa0e7c5db
diff --git a/pyca-cryptography b/pyca-cryptography
index 09403100de..e09cd90f77 160000
--- a/pyca-cryptography
+++ b/pyca-cryptography
@@ -1 +1 @@
-Subproject commit 09403100de2f6f1cdd0d484dcb8e620f1c335c8f
+Subproject commit e09cd90f77a31832bdde1d3652c115be282cced9
diff --git a/test/ossl_shim/include/openssl/base.h b/test/ossl_shim/include/openssl/base.h
index 92e3648e1c..84918289c0 100644
--- a/test/ossl_shim/include/openssl/base.h
+++ b/test/ossl_shim/include/openssl/base.h
@@ -10,6 +10,9 @@
#ifndef OSSL_TEST_SHIM_INCLUDE_OPENSSL_BASE_H
#define OSSL_TEST_SHIM_INCLUDE_OPENSSL_BASE_H
+/* Needed for DH functions */
+#include "internal/deprecated.h"
+
/* Needed for BORINGSSL_MAKE_DELETER */
# include <openssl/bio.h>
# include <openssl/evp.h>
diff --git a/test/recipes/95-test_external_gost_engine_data/gost_engine.sh b/test/recipes/95-test_external_gost_engine_data/gost_engine.sh
index 498825bad7..44810b5936 100755
--- a/test/recipes/95-test_external_gost_engine_data/gost_engine.sh
+++ b/test/recipes/95-test_external_gost_engine_data/gost_engine.sh
@@ -12,14 +12,26 @@
#
set -e
-O_EXE=`pwd`/$BLDTOP/apps
-O_BINC=`pwd`/$BLDTOP/include
-O_SINC=`pwd`/$SRCTOP/include
-O_LIB=`pwd`/$BLDTOP
+PWD="$(pwd)"
-export PATH=$O_EXE:$PATH
-export LD_LIBRARY_PATH=$O_LIB:$LD_LIBRARY_PATH
-export OPENSSL_ROOT_DIR=$O_LIB
+SRCTOP="$(cd $SRCTOP; pwd)"
+BLDTOP="$(cd $BLDTOP; pwd)"
+
+if [ "$SRCTOP" != "$BLDTOP" ] ; then
+ echo "Out of tree builds not supported with gost_engine test!"
+ exit 1
+fi
+
+O_EXE="$BLDTOP/apps"
+O_BINC="$BLDTOP/include"
+O_SINC="$SRCTOP/include"
+O_LIB="$BLDTOP"
+
+unset OPENSSL_CONF
+
+export PATH="$O_EXE:$PATH"
+export LD_LIBRARY_PATH="$O_LIB:$LD_LIBRARY_PATH"
+export OPENSSL_ROOT_DIR="$O_LIB"
# Check/Set openssl version
OPENSSL_VERSION=`openssl version | cut -f 2 -d ' '`
@@ -33,13 +45,11 @@ echo " OPENSSL_ROOT_DIR: $OPENSSL_ROOT_DIR"
echo " OpenSSL version: $OPENSSL_VERSION"
echo "------------------------------------------------------------------"
-cd $SRCTOP/gost-engine
-rm -rf build
-mkdir -p build
-cd build
-cmake ..
+cmake $SRCTOP/gost-engine -DOPENSSL_ROOT_DIR="$OPENSSL_ROOT_DIR"
make
-CTEST_OUTPUT_ON_FAILURE=1 HARNESS_OSSL_PREFIX='' OPENSSL_ENGINES=$OPENSSL_ROOT_DIR/gost-engine/build/bin make test
-
-exit 0
-
+export CTEST_OUTPUT_ON_FAILURE=1
+export HARNESS_OSSL_PREFIX=''
+export OPENSSL_ENGINES="$PWD/bin"
+export OPENSSL_APP="$O_EXE/openssl"
+make test
+make tcl_tests
diff --git a/test/recipes/95-test_external_krb5.t b/test/recipes/95-test_external_krb5.t
index ad262da2d9..9d6824cb6f 100644
--- a/test/recipes/95-test_external_krb5.t
+++ b/test/recipes/95-test_external_krb5.t
@@ -17,7 +17,7 @@ setup("test_external_krb5");
plan skip_all => "No external tests in this configuration"
if disabled("external-tests");
plan skip_all => "krb5 not available"
- if ! -f srctop_file("krb5", "data.txt");
+ if ! -f srctop_file("krb5", "src", "configure.in");
plan tests => 1;
More information about the openssl-commits
mailing list